### Function

# Soup form_encode_datalist

since: 3.0

#### Declaration [src]

    char*
    soup_form_encode_datalist (
      GData** form_data_set
    )

#### Description [src]

Encodes `form_data_set` into a value of type “application/x-www-form-urlencoded”.

Encodes as defined in the HTML 4.01 spec. Unlike `soup_form_encode_hash()`, this preserves the ordering of the form elements, which may be required in some situations.

See also: `soup_message_new_from_encoded_form()`.

Available since: 3.0

#### Parameters

`form_data_set`

  Type: `GData`

  A datalist containing name/value pairs.

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

The encoded form.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.